- Qt 5.15
- Qt 3D
- C++ Classes
- QComponentRemovedChange
- Qt 5.15.11 Reference Documentation

# QComponentRemovedChange Class

class Qt3DCore::QComponentRemovedChange

The QComponentRemovedChange class is used to notify when a component is removed from an entity. More...

Header: | #include <Qt3DCore/QComponentRemovedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange

- List of all members, including inherited members

## Public Functions

| QComponentRemovedChange(const QComponent *component, const QEntity *entity)
| QComponentRemovedChange(const QEntity *entity, const QComponent *component)
QNodeId | componentId() const
const QMetaObject * | componentMetaObject() const
QNodeId | entityId() const

## Related Non-Members

typedef | QComponentRemovedChangePtr

## Detailed Description

## Member Function Documentation

### QComponentRemovedChange::QComponentRemovedChange(const QComponent *component, const QEntity *entity)

Constructs a new QComponentRemovedChange which will notify component that it was removed from entity

### QComponentRemovedChange::QComponentRemovedChange(const QEntity *entity, const QComponent *component)

Constructs a new QComponentRemovedChange which will notify entity that component was removed.

### QNodeId QComponentRemovedChange::componentId() const

Returns the id of the component removed.

### const QMetaObject *QComponentRemovedChange::componentMetaObject() const

Returns the metaobject.

### QNodeId QComponentRemovedChange::entityId() const

Returns the id of the entity the component was removed from.

## Related Non-Members

### typedef QComponentRemovedChangePtr

A shared pointer for QComponentRemovedChange.